Bug 90146 - DFG recompilation heuristics should be based on count, not rate
Summary: DFG recompilation heuristics should be based on count, not rate
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-28 01:36 PDT by Filip Pizlo
Modified: 2012-07-10 02:20 PDT (History)
5 users (show)

See Also:


Attachments
work in progress (21.72 KB, patch)
2012-06-28 01:41 PDT, Filip Pizlo
no flags Details | Formatted Diff | Diff
the patch (24.05 KB, patch)
2012-06-28 15:51 PDT, Filip Pizlo
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2012-06-28 01:36:53 PDT
Patch forthcoming.

It should be noted that this bug is basically an experiment.  This patch will require a fair amount of testing before I'm convinced that it's a good idea to replace the current heuristics with these ones.
Comment 1 Filip Pizlo 2012-06-28 01:41:05 PDT
Created attachment 149901 [details]
work in progress

Just putting up for EWS.  Not ready for review yet.
Comment 2 Filip Pizlo 2012-06-28 15:51:40 PDT
Created attachment 150032 [details]
the patch
Comment 3 Filip Pizlo 2012-06-28 19:40:36 PDT
Landed in http://trac.webkit.org/changeset/121511
Comment 4 Filip Pizlo 2012-07-09 18:51:16 PDT
Rolled out in http://trac.webkit.org/changeset/122182
It made in-browser V8v7 10% slower.
Comment 5 Filip Pizlo 2012-07-10 02:20:22 PDT
Relanded in http://trac.webkit.org/changeset/122206